Cascade
Account

Update Margin

Update account's desired margin in a market

POST
/account/margin
accountstring

Identifies the user whose margin is configured

expiresAtinteger

Prevents update from being filled after specified timestamp

Formatint64
Range0 <= value
isolatedboolean

Whether the margin is reserved for this specific market (false for cross-margin)

marginstring

The current margin ratio expressed as a percentage (0.33 -> 33%)

nonceinteger

Uniquely identifies the update per-account

Formatint64
Range0 <= value
signaturesarray<string>

Signatures of account or delegate

subaccountIndexinteger

Identifies the subaccount for which margin is configured

Formatint32
Range0 <= value
symbolstring

Identifies the market for which margin is configured

Response Body

application/json

text/plain

text/plain

curl -X POST "https://engine.cascade.cooking/account/margin" \  -H "Content-Type: application/json" \  -d '{    "account": "string",    "expiresAt": 0,    "isolated": true,    "margin": "string",    "nonce": 0,    "signatures": [      "string"    ],    "subaccountIndex": 0,    "symbol": "string"  }'
null
"Unauthorized to change margin for account 0xf4758f8ad7721bded5e6344ffa2cbc022e0e6e37"
"Account not found"